"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createImageWrapper = createImageWrapper;

var _groupBy = _interopRequireDefault(require("lodash/groupBy"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createImageWrapper(classPath, esModule) {
  return (size, images) => {
    const imagesByType = (0, _groupBy.default)(images, img => img.type); // Template strings are a bit weird here but this is the price
    // to pay to make the generated code beautiful :S

    const sources = "[\n    ".concat(Object.values(imagesByType) // Make sure webp comes first.
    .sort(a => a[0].type === 'image/webp' ? -1 : 1).map(group => "{\n      srcSet: ".concat(group.map(img => "".concat(img.publicPath, " + \" ").concat(img.scale, "x\"")).join(' + "," +\n        '), ",\n      type: \"").concat(group[0].type, "\"\n    }")).join(',\n    '), "\n  ]");
    return "".concat(esModule ? "import {AdaptiveImage} from ".concat(classPath) : "var AdaptiveImage = require(".concat(classPath, ").AdaptiveImage"), ";\n\n").concat(esModule ? 'export default' : 'module.exports =', " new AdaptiveImage({\n  uri: ").concat(images[0].publicPath, ",\n  width: ").concat(size.width, ",\n  height: ").concat(size.height, ",\n  sources: ").concat(sources, "\n});\n");
  };
}
//# sourceMappingURL=ImageWrapper.js.map